Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.classifier.scoringFunctionBased
Enum OptimizableFunction.KindOfParameter

    java.lang.Object
      java.lang.Enum<OptimizableFunction.KindOfParameter>
          de.jstacs.classifier.scoringFunctionBased.OptimizableFunction.KindOfParameter

All Implemented Interfaces:
  Serializable, Comparable<OptimizableFunction.KindOfParameter>

Enclosing class:
  OptimizableFunction

    public static enum OptimizableFunction.KindOfParameter

extends Enum<OptimizableFunction.KindOfParameter>

This `enum` defines the kinds of parameters that can be returned by the method `OptimizableFunction.getParameters(KindOfParameter)`.

Author:
  Jens Keilwagen
See Also:
  `OptimizableFunction.getParameters(KindOfParameter)`

Enum Constant Summary
`LAST` Indicates that the last parameters will be (re-)used.
`PLUGIN` Indicates that some plug-in parameters will be used (e.g.
`ZEROS` Indicates that all parameters will have value 0.

Method Summary
`static OptimizableFunction.KindOfParameter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OptimizableFunction.KindOfParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZEROS

    public static final OptimizableFunction.KindOfParameter ZEROS

  Indicates that all parameters will have value 0.

### LAST

    public static final OptimizableFunction.KindOfParameter LAST

  Indicates that the last parameters will be (re-)used.

### PLUGIN

    public static final OptimizableFunction.KindOfParameter PLUGIN

  Indicates that some plug-in parameters will be used (e.g. MAP-parameters).

Method Detail

### values

    public static final OptimizableFunction.KindOfParameter[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OptimizableFunction.KindOfParameter c : OptimizableFunction.KindOfParameter.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OptimizableFunction.KindOfParameter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD